# pybedtools.bedtool.BedTool.pair_to_pair

BedTool.pair_to_pair(*args, **kwargs)

  Wraps `bedtools pairtopair`.

  For convenience, the file or stream this BedTool points to is implicitly passed as the `-a` argument to `pairToPair`

  Original BEDTools help::

      Tool:    bedtools pairtopair (aka pairToPair)
      Version: v2.31.1
      Summary: Report overlaps between two paired-end BED files (BEDPE).

      Usage:   bedtools pairtopair [OPTIONS] -a <BEDPE> -b <BEDPE>

      Options:
              -f      Minimum overlap required as fraction of A (e.g. 0.05).
                      Default is 1E-9 (effectively 1bp).

              -type   Approach to reporting overlaps between A and B.

                      neither Report overlaps if neither end of A overlaps B.
                      either  Report overlaps if either ends of A overlap B.
                      both    Report overlaps if both ends of A overlap B.
                      notboth Report overlaps if one or neither of A's overlap B.
                      - Default = both.

              -slop   The amount of slop (in b.p.). to be added to each footprint of A.
                      *Note*: Slop is subtracted from start1 and start2
                              and added to end1 and end2.

                      - Default = 0.

              -ss     Add slop based to each BEDPE footprint based on strand.
                      - If strand is "+", slop is only added to the end coordinates.
                      - If strand is "-", slop is only added to the start coordinates.
                      - By default, slop is added in both directions.

              -is     Ignore strands when searching for overlaps.
                      - By default, strands are enforced.

              -rdn    Require the hits to have different names (i.e. avoid self-hits).
                      - By default, same names are allowed.

      Refer to the BEDTools manual for BEDPE format.